%define __noautoprov 'libfftreal\\.so(.*)|devel\\(libfftreal.*\\)'
%define __noautoreq 'libfftreal\\.so(.*)'

%define api 5
%define major 5
%define oname qt5
%define qgstmajor 1

%define module qtmultimedia

%define qgsttools_p %mklibname qgsttools_p %{qgstmajor}
%define qtmultimedia %mklibname qt%{api}multimedia %{major}
%define qtmultimediad %mklibname qt%{api}multimedia -d
%define qtmultimediaquick_p %mklibname qt%{api}multimediaquick_p %{major}
%define qtmultimediawidgets %mklibname qt%{api}multimediawidgets %{major}
%define qtmultimediawidgetsd %mklibname qt%{api}multimediawidgets -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.3
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
# For gstphotography
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:	pkgconfig(Qt5Xml) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qgsttools_p}
Summary:	Runtime library for GStreamer support in Qt 5
Group:		System/Libraries

%description -n %{qgsttools_p}
Runtime library for GStreamer support in Qt 5.

%files -n %{qgsttools_p}
%{_qt5_libdir}/libqgsttools_p.so.%{qgstmajor}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libqgsttools_p.so.%{qgstmajor}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtmultimedia}
Summary:	Qt Multimedia libraries
Group:		System/Libraries
Conflicts:	%{_lib}qt5qml5 < 5.6.0
Suggests:	qt5-qtmultimedia-i18n

%description -n %{qtmultimedia}
Qt Multimedia libraries.

%files -n %{qtmultimedia}
%{_qt5_libdir}/libQt%{api}Multimedia.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}Multimedia.so.%{major}*
%endif
%{_qt5_prefix}/qml/QtAudioEngine
%{_qt5_prefix}/qml/QtMultimedia
%{_qt5_plugindir}/audio/libqtaudio_alsa.so
%{_qt5_plugindir}/audio/libqtmedia_pulse.so
%{_qt5_plugindir}/mediaservice/libgstaudiodecoder.so
%{_qt5_plugindir}/mediaservice/libgstcamerabin.so
%{_qt5_plugindir}/mediaservice/libgstmediacapture.so
%{_qt5_plugindir}/mediaservice/libgstmediaplayer.so
%{_qt5_plugindir}/playlistformats/libqtmultimedia_m3u.so

#----------------------------------------------------------------------------

%package -n %{qtmultimediad}
Summary:	Development files for Qt Multimedia
Group:		Development/KDE and Qt
Requires:	%{qtmultimedia} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtmultimediad}
Development files for Qt Multimedia.

%files -n %{qtmultimediad}
%{_qt5_includedir}/QtMultimedia
%{_qt5_includedir}/QtMultimediaQuick_p
%{_qt5_libdir}/libQt%{api}Multimedia.so
%{_qt5_libdir}/libQt%{api}Multimedia.prl
%{_qt5_libdir}/cmake/Qt%{api}Multimedia
%{_qt5_libdir}/pkgconfig/Qt%{api}Multimedia.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}Multimedia.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_multimedia.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_multimedia_private.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri

#----------------------------------------------------------------------------

%package -n %{qtmultimediaquick_p}
Summary:	Runtime support library for the Qt Multimedia Quick module
Group:		System/Libraries

%description -n %{qtmultimediaquick_p}
Runtime support library for the Qt Multimedia Quick module.

%files -n %{qtmultimediaquick_p}
%{_qt5_libdir}/libQt%{api}MultimediaQuick_p.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}MultimediaQuick_p.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtmultimediawidgets}
Summary:	Qt Multimedia Widgets library
Group:		System/Libraries

%description -n %{qtmultimediawidgets}
Qt Multimedia Widgets library.

%files -n %{qtmultimediawidgets}
%{_qt5_libdir}/libQt%{api}MultimediaWidgets.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}MultimediaWidgets.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtmultimediawidgetsd}
Summary:	Development files for the Qt Multimedia Widgets library
Group:		Development/KDE and Qt
Requires:	%{qtmultimediawidgets} = %{EVRD}
Requires:	%{qtmultimediad} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtmultimediawidgetsd}
Development files for the Qt Multimedia Widgets library.

%files -n %{qtmultimediawidgetsd}
%{_qt5_includedir}/QtMultimediaWidgets
%{_qt5_libdir}/libQt%{api}MultimediaWidgets.so
%{_qt5_libdir}/libQt%{api}MultimediaWidgets.prl
%{_qt5_libdir}/cmake/Qt%{api}MultimediaWidgets
%{_qt5_libdir}/pkgconfig/Qt%{api}MultimediaWidgets.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}MultimediaWidgets.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_multimediawidgets.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_multimediawidgets_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtmultimedia.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/multimedia/
%{_qt5_exampledir}/multimediawidgets/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

# Let's not ship -devel files for private libraries... At least not until
# applications teach us otherwise
rm -f %{buildroot}%{_qt5_libdir}/libqgsttools_p.so %{buildroot}%{_qt5_libdir}/libqgsttools_p.prl
rm -f %{buildroot}%{_qt5_libdir}/libQt%{api}MultimediaQuick_p.so %{buildroot}%{_qt5_libdir}/libQt%{api}MultimediaQuick_p.prl

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Thu Nov 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (6ae315c) New version 5.9.3


